[REQUEST] librmagick-ruby

Lucas Nussbaum lucas at lucas-nussbaum.net
Mon Mar 20 07:22:30 GMT 2006


I prepared an update package for librmagick-ruby to fix LP bugs 1299,
4636 and 26138. I initially asked Kamion and mdz for a breezy-updates
upload, but this was denied since it's a new upstream version.

Here is some info :

> - The version of librmagick-ruby (aka RMagick) in breezy doesn't even build
>   with the version of imagemagick in breezy (it was probably a FTBFS
> that was never fixed).
> - Support for this (too new) version of imagemagick was added around
>   RMagick 1.8.3. Backporting the changes to support imagemagick 6.2.4 in
> RMagick 1.6.0 would really be a loss of time.
> - The package currently in breezy really doesn't work: it isn't just
>   slightly broken, so chances that the new version will affect people
> negatively are nonexistent.
> - I've a high confidence about the package I prepared :
>   + I co-maintain this package in Debian
>   + During build, it generates its own documentation, including a lot of
>     build-time-generated examples which quite throughoutly test the
>     package
>   + I checked some of the generated documentation for correctness
> - The package is very useful for people playing with RubyOnRails

The updated package is available at

The discussion about this issue took place at

Could this go into breezy-backports ?

Thank you,
| Lucas Nussbaum
| lucas at lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas at nussbaum.fr             GPG: 1024D/023B3F4F |

More information about the ubuntu-backports mailing list